Loading...
Searching...
No Matches
N_gradient_3d Struct Reference

Gradient between the cells in X, Y and Z direction. More...

`#include <N_pde.h>`

## Data Fields

double | NC
double | SC
double | WC
double | EC
double | TC
double | BC

## Detailed Description

Gradient between the cells in X, Y and Z direction.

Definition at line 464 of file N_pde.h.

## Field Documentation

## BC

double N_gradient_3d::BC

Definition at line 466 of file N_pde.h.

Referenced by N_calc_solute_transport_disptensor_3d(), N_callback_solute_transport_3d(), N_compute_gradient_field_components_3d(), N_copy_gradient_3d(), N_create_gradient_3d(), and N_get_gradient_3d().

## EC

double N_gradient_3d::EC

Definition at line 466 of file N_pde.h.

Referenced by N_calc_solute_transport_disptensor_3d(), N_callback_solute_transport_3d(), N_compute_gradient_field_components_3d(), N_copy_gradient_3d(), N_create_gradient_3d(), and N_get_gradient_3d().

## NC

double N_gradient_3d::NC

Definition at line 466 of file N_pde.h.

Referenced by N_calc_solute_transport_disptensor_3d(), N_callback_solute_transport_3d(), N_compute_gradient_field_components_3d(), N_copy_gradient_3d(), N_create_gradient_3d(), and N_get_gradient_3d().

## SC

double N_gradient_3d::SC

Definition at line 466 of file N_pde.h.

Referenced by N_calc_solute_transport_disptensor_3d(), N_callback_solute_transport_3d(), N_compute_gradient_field_components_3d(), N_copy_gradient_3d(), N_create_gradient_3d(), and N_get_gradient_3d().

## TC

double N_gradient_3d::TC

Definition at line 466 of file N_pde.h.

Referenced by N_calc_solute_transport_disptensor_3d(), N_callback_solute_transport_3d(), N_compute_gradient_field_components_3d(), N_copy_gradient_3d(), N_create_gradient_3d(), and N_get_gradient_3d().

## WC

double N_gradient_3d::WC

Definition at line 466 of file N_pde.h.

Referenced by N_calc_solute_transport_disptensor_3d(), N_callback_solute_transport_3d(), N_compute_gradient_field_components_3d(), N_copy_gradient_3d(), N_create_gradient_3d(), and N_get_gradient_3d().

The documentation for this struct was generated from the following file:

- N_pde.h